<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [upgradePurchasedServer](./bitburner.ns.upgradepurchasedserver.md)

## NS.upgradePurchasedServer() method

Upgrade a purchased server's RAM.

**Signature:**

```typescript
upgradePurchasedServer(hostname: string, ram: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  hostname | string | Hostname of the server to upgrade. |
|  ram | number | Amount of RAM of the purchased server, in GB. Must be a power of 2 (2, 4, 8, 16, etc.). Maximum value of 1048576 (2^20). |

**Returns:**

boolean

True if the upgrade succeeded, and false otherwise.

## Remarks

RAM cost: 0.25 GB

